package com.dxhy.core.job.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.core.job.entity.SysUserEntity;

/**
 * 系统用户
 *
 */
@Mapper
public interface SysUserDao extends BaseMapper<SysUserEntity> {
    List<SysUserEntity> getSpCode();

    SysUserEntity getSpCodeByAuthCode(@Param("taxno") String taxno, @Param("spCode") String spCode);

    List<SysUserEntity> listUser();

    SysUserEntity listUserByTaxno(@Param("taxno") String taxno);

    List<SysUserEntity> listUserToSignatureId();

    SysUserEntity listUserToSignatureIdByTaxno(@Param("taxno") String taxno);
}
